---
title: Accessibility
---
# Accessibility

The GOV.UK Prototype Kit website is maintained by a team at the Government Digital Service (GDS).

This page explains how the team works to ensure the Prototype Kit website is accessible.

## Accessibility statement for the GOV.UK Prototype Kit website

This accessibility statement applies to the GOV.UK Prototype Kit documentation website at https://govuk-prototype-kit.herokuapp.com

The GOV.UK Prototype Kit team wants as many people as possible to be able to use this website. For example, that means you should be able to:

- change colours, contrast levels and fonts
- zoom in up to 300% without the text spilling off the screen
- navigate most of the website using just a keyboard
- navigate most of the website using speech recognition software
- listen to most of the website using a screen reader (including the most recent versions of JAWS, NVDA and VoiceOver)

The team has also made the website text as simple as possible to understand.

[AbilityNet has guidance on adjustments](https://mcmw.abilitynet.org.uk/) you can make on your device to make it easier to use.

### Feedback and contact information

The GOV.UK Prototype Kit team is always looking to improve the accessibility of this website. If you find any problems that are not listed on this page or think this website is not meeting accessibility requirements, email the GOV.UK Prototype Kit team at govuk-design-system-support@digital.cabinet-office.gov.uk

The GOV.UK Prototype Kit team will review your request and get back to you in 2 working days.

### Enforcement procedure

The Equality and Human Rights Commission (EHRC) is responsible for enforcing the Public Sector Bodies (Websites and Mobile Applications) (No. 2) Accessibility Regulations 2018 (the ‘accessibility regulations’). If you’re not happy with how we respond to your complaint, [contact the Equality Advisory and Support Service (EASS)](https://www.equalityadvisoryservice.com/).

GDS is committed to making its websites accessible, in accordance with the Public Sector Bodies (Websites and Mobile Applications) (No. 2) Accessibility Regulations 2018.

### Compliance status

The Prototype Kit website at [https://govuk-prototype-kit.herokuapp.com](/) is partially compliant with the Web Content Accessibility Guidelines (WCAG) version 2.1 AA standard, due to the non-compliances listed below.

### Non-accessible content

The content listed below is non-accessible for the following reasons.

#### Non-compliance with the accessibility regulations

The kit uses an old version of the step by step pattern, in which it is not clear if elements are buttons or links. This fails WCAG 2.1 criterion 1.3.1 (info and relationships).

We plan to fix these issues by 31 August 2022.

### How this website has been tested for accessibility

The GOV.UK Prototype Kit website was last tested on 5 October 2021. 

The test was carried out by the GOV.UK Prototype Kit team.

The GOV.UK Prototype Kit team tested a sample of pages to cover the different content types in the Prototype Kit website. They were:

- [the homepage](/docs)
- [the tutorials and templates page](/docs/tutorials-and-examples)
- [the tutorial pages](/docs/make-first-prototype/start)
- [the guide pages](/docs/publishing-on-heroku)
- [the example pages](/docs/examples/pass-data)

### How the GOV.UK Prototype Kit team makes this website accessible

The GOV.UK Prototype Kit team works to ensure that the Prototype Kit website is accessible.

The team aims to research the Prototype Kit website with a representative range of users including those with disabilities.

We also test to ensure they work with a broad range of browsers, devices and assistive technologies - including screen magnifiers, screen readers and speech recognition tools.

When we publish new content, we’ll continue to make sure that it meets accessibility standards.


### Preparation of this accessibility statement

This statement was prepared on 5 November 2021. It was last reviewed on 20 April 2022.

