---
title: Build a basic prototype
---
# Build a basic prototype using the Prototype Kit

This tutorial shows you how to prototype a fictional 'Apply for a juggling licence' service that will:

- ask 2 questions
- show the user's answers for them to check
- show a confirmation page

It will take about an hour to finish this tutorial, after you install the Prototype Kit.

Our prototype will look a bit like this:

<figure>

![The first page has the title 'Start page' with the button 'Start now'. This is linked to a second page with the title 'Question 1' and a 'Continue' button. This forks to 2 different pages. 1 is titled 'Ineligible'. 2 is titled Question 2. Question 2 is linked to a page titled 'Check answers'. This links to page 6, titled 'Complete'.](/public/images/docs/tutorial-overview.png)

<figcaption class="govuk-body">Diagram of 6 pages connected together.</figcaption>
</figure>

## Before you start

Before you start, you must [install and run the GOV.UK Prototype Kit](/docs/install/introduction).

You'll also need a code editor. You can use any editor, but the instructions in this tutorial will refer to Atom.

[Install Atom code editor](https://atom.io/)

[Next (open your prototype in your editor)](open-prototype-in-editor)

<hr>

## Give feedback

If you would like to give feedback about this tutorial, or you’ve got a question, get in touch with the GOV.UK Design System team:

- on the <a class="govuk-link" href="https://ukgovernmentdigital.slack.com/app_redirect?channel=prototype-kit" data-hsupport="slack">#prototype-kit channel on cross-government Slack</a>

- by email at <a class="govuk-link" href="mailto:govuk-design-system-support@digital.cabinet-office.gov.uk" data-hsupport="email">govuk-design-system-support@digital.cabinet-office.gov.uk</a>
